Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001077Core InformSource text and punctuationpublic2013-02-08 20:052014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001077: I7 not completely escaped in RulePrintingRule strings
DescriptionThe attached source is translated to I6 including the line

- - - -
if (R == R_741) { print "@nop rule"; return; } ! 265, case 1
- - - -

in RulePrintingRule, where the I7 @ has not undergone the usual escaping to @@64. The error message:

- - - -
# Error: No such accented character as "@no"
- - - -
Minimal Source Text To Reproduce
There is a room.
To @nop: (- @nop; -).
This is the @nop rule: @nop.
TagsNo tags attached.
Effect(critical) Inform 6 compiler reports errors for valid code
Attached Files

- Relationships

-  Notes
(0002080)
graham (administrator)
2013-06-02 09:00

Fixed.

- Issue History
Date Modified Username Field Change
2013-02-08 20:05 EmacsUser New Issue
2013-02-08 20:05 EmacsUser Issue generated from 0000809
2013-02-10 17:09 curiousdannii Status new => confirmed
2013-06-02 09:00 graham Note Added: 0002080
2013-06-02 09:00 graham Status confirmed => resolved
2013-06-02 09:00 graham Resolution open => fixed
2013-06-02 09:00 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker